<%@ Page Language="C#" AutoEventWireup="true" debug="true"  CodePage="65001" Inherits="WinLibClass.Form.Admin.Dialog.UserNickNameList"  %>		
		
<script>

jQuery(document).ready(function(){
	jQuery("div[class='SelectDiv']").mousemove(function(){
		jQuery(this).removeClass("SelectDiv_NoSelect");
		jQuery(this).addClass("SelectDiv_Select");
	});
	jQuery("div[class='SelectDiv']").mouseout(function(){
		var id=jQuery(this).attr("id").substr(5);
		if(<%=UserId%>!=id)
		{
			jQuery(this).addClass("SelectDiv_NoSelect");
			jQuery(this).removeClass("SelectDiv_Select");
		}
	});	
	//<%#(Eval("id").ToString()==UserId.ToString()?"SelectDiv_Select":"")%>"
	jQuery("#User_<%=UserId%>").addClass("SelectDiv_Select");
	jQuery("div[class='SelectDiv']").click(function(){
		var o = jQuery(this);
		var _UserNickName =o.attr("UserNickName");
		var _UserId = o.attr("UserId");
		if(_UserId==0)	_UserNickName = "<%=(ChooseType==0?"来自":"发给")%>系统";
		jQuery("#<%=SpanId%>").html(_UserNickName);
		jQuery("#<%=InputId%>").val(_UserId);
		removeDialogbox("#Dialog_User_List");
	});
});
//Dialog_UserNickNameList
function LoadData(p)
{
		var _ch = jQuery("#inputSelectText").val();

		$.ajax({
		type: "POST",
		url: APP+"/Admin/Dialog_UserNickNameList&p="+p,
		"data":{"UserId":<%=UserId%>,"SpanId":'<%=SpanId%>',"InputId":'<%=InputId%>',"ChooseType":<%=ChooseType%>,"unnc":_ch},
		cache: false,
		success: function(msg){
			$("#Dialog_User_List .dialogboxContent").html(msg);
		}
		,
		error:function(msg)
		{
			ShowErrorMsg(msg.responseText);
		}
	});
}


</script>

<div style="margin-left:0px;width:470px;border:1px solid #97BDE8;height:420px;">

<div style="height:25px;margin:3px 3px 3px 3px;border-bottom:2px dotted #97BDE8;text-align:left;">
<b>产品名称关键字</b>:<input type="text" id="inputSelectText" value="" />

<input type="button" value="查询..." onclick='LoadData(0);' />

</div>

<div class="SelectDiv"  id="User_<%#Eval("id")%>" UserNickName="<%#Eval("UserNickName")%>" UserId="<%#Eval("id")%>">
	<li style="margin:4px;width:100px;height:80px;overflow:hidden;"><img src="<%#Eval("Userheadimage")%>" onerror='this.src="/images/upic.jpg"'  /></li>
	<li style="height:30px;"><%#Eval("UserNickName")%></li>
</div>

</div>


<div class="page" style="margin-left:-13px"><%=strPageInfo%></div>